<?php
/**
 * CustomerFillablePropertiesTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CustomersClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Customers
 *
 * Управление клиентами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\CustomersClient;

use PHPUnit\Framework\TestCase;

/**
 * CustomerFillablePropertiesTest Class Doc Comment
 *
 * @category    Class
 * @description CustomerFillableProperties
 * @package     Ensi\CustomersClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class CustomerFillablePropertiesTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "CustomerFillableProperties"
     */
    public function testCustomerFillableProperties()
    {
    }

    /**
     * Test attribute "user_id"
     */
    public function testPropertyUserId()
    {
    }

    /**
     * Test attribute "status_id"
     */
    public function testPropertyStatusId()
    {
    }

    /**
     * Test attribute "manager_id"
     */
    public function testPropertyManagerId()
    {
    }

    /**
     * Test attribute "yandex_metric_id"
     */
    public function testPropertyYandexMetricId()
    {
    }

    /**
     * Test attribute "google_analytics_id"
     */
    public function testPropertyGoogleAnalyticsId()
    {
    }

    /**
     * Test attribute "active"
     */
    public function testPropertyActive()
    {
    }

    /**
     * Test attribute "phone"
     */
    public function testPropertyPhone()
    {
    }

    /**
     * Test attribute "last_name"
     */
    public function testPropertyLastName()
    {
    }

    /**
     * Test attribute "first_name"
     */
    public function testPropertyFirstName()
    {
    }

    /**
     * Test attribute "middle_name"
     */
    public function testPropertyMiddleName()
    {
    }

    /**
     * Test attribute "gender"
     */
    public function testPropertyGender()
    {
    }

    /**
     * Test attribute "create_by_admin"
     */
    public function testPropertyCreateByAdmin()
    {
    }

    /**
     * Test attribute "city"
     */
    public function testPropertyCity()
    {
    }

    /**
     * Test attribute "birthday"
     */
    public function testPropertyBirthday()
    {
    }

    /**
     * Test attribute "last_visit_date"
     */
    public function testPropertyLastVisitDate()
    {
    }

    /**
     * Test attribute "comment_status"
     */
    public function testPropertyCommentStatus()
    {
    }

    /**
     * Test attribute "timezone"
     */
    public function testPropertyTimezone()
    {
    }

    /**
     * Test attribute "is_deleted"
     */
    public function testPropertyIsDeleted()
    {
    }

    /**
     * Test attribute "error_delete"
     */
    public function testPropertyErrorDelete()
    {
    }
}
